Bug 46308 - Slides Fail to Appear in SlideShow Mode
Summary: Slides Fail to Appear in SlideShow Mode
Status: RESOLVED DUPLICATE of bug 46532
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: PowerPC Mac OS X (All)
: medium critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-19 17:19 UTC by Stan Sporkistan
Modified: 2012-03-02 10:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screen capture hardware acceleration bug 01 (366.88 KB, image/png)
2012-02-20 12:36 UTC, Stan Sporkistan
Details
screen capture hardware acceleration bug 02 (12.99 KB, image/png)
2012-02-20 12:39 UTC, Stan Sporkistan
Details
screen capture hardware acceleration bug 03 (13.21 KB, image/png)
2012-02-20 12:40 UTC, Stan Sporkistan
Details
new image load bug type 1 (171.67 KB, image/png)
2012-02-20 12:41 UTC, Stan Sporkistan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stan Sporkistan 2012-02-19 17:19:41 UTC
Running PPC Mac OS 10.5.8, upgraded from LibO 3.4.5 to 3.5.

In Impress 3.5, slides appear normally in editor, but do not appear at all in full screen Slide Show Presentation mode.  There is a little bit of some letters visible in the upper left corner of the screen, but nothing else.  Working with PowerPoint files created in Office Mac 2000, if that's relevant to re-creating the bug.  Everything worked great in 3.4.5.
Comment 1 Rainer Bielefeld Retired 2012-02-19 21:57:03 UTC
@drw@frametheweb.com:
Please attach a sample document!
Comment 2 Jean-Baptiste Faure 2012-02-19 22:09:32 UTC
Have you read : http://www.libreoffice.org/download/release-notes/ ?
It seems it is a known problem. As a workaround, please try to disable hardware acceleration. Does this help ?

Best regards. JBF
Comment 3 Stan Sporkistan 2012-02-20 11:41:36 UTC
Resolved.  Disabling hardware acceleration resolved the issue.

Hardware acceleration did not appear to even be an option on my platform in Libo 3.4.5.

Thanks!  LibO is great software!
Comment 4 Rainer Bielefeld Retired 2012-02-20 12:02:25 UTC
@Jean-Baptiste Faure Eagle Eye:
well seen!

@drw@frametheweb.com:
Of course that should be fixed. Can you please attach a small sample so that we can decide whether it's an independent bug or a DUP of an already known one?
Comment 5 Stan Sporkistan 2012-02-20 12:36:59 UTC
Created attachment 57358 [details]
screen capture hardware acceleration bug 01
Comment 6 Stan Sporkistan 2012-02-20 12:39:43 UTC
Created attachment 57359 [details]
screen capture hardware acceleration bug 02
Comment 7 Stan Sporkistan 2012-02-20 12:40:45 UTC
Created attachment 57361 [details]
screen capture hardware acceleration bug 03
Comment 8 Stan Sporkistan 2012-02-20 12:41:17 UTC
Created attachment 57362 [details]
new image load bug type 1
Comment 9 Stan Sporkistan 2012-02-20 12:57:01 UTC
Well, I went to go produce some screen captures to illustrate the bug, and seem to have stumbled across a couple more.

First:

Attachment "screen capture hardware acceleration bug 01" illustrates what Impress looks like in the slide editor with hardware acceleration active.

Attachment "screen capture hardware acceleration bug 02" illustrates what the first slide looks like in the Slide Show Viewer.  You can see little bits of yellow text across the top of the image.

Attachment "screen capture hardware acceleration bug 03" shows the second slide.  Again, you can see little bits of yellow text across the top of the image.


Second:

Attachment "new image load bug type 1" shows what the same ppt file looks like when I first load it with hardware acceleration either active OR inactive.  The first image won't load in the slide editor until I do something that causes the screen to be refreshed (such as collapsing the "tasks" panel at right).

Third:

Some files that worked fine under LibO 3.4.5 no longer load images from ppt.  The file was too big to upload as an attachment, so here's a URL of one that is giving me difficulty:

http://documents.frametheweb.com/film-and-modernism-1.ppt

I delivered this lecture a couple weeks ago without issue under LibO 3.4.5.  Same issue with a ppt I used last week.  Might go back to 3.4.5 after all.  I'll mention again that I'm using a pretty obsolete version of MS Office (Mac 2000) to put these files together...
Comment 10 Rainer Bielefeld Retired 2012-03-02 10:36:32 UTC
This one is a DUP of "Bug 46532 - SLIDESHOW does not show pictures with Hardware Acceleration activated", where we have more anvanced research and much more material.

@reporter:
Please feel free to reopen this Bug if you find evidence that we have an independent issue here - or even better submit a new bug with a tailor-made subject and report.

*** This bug has been marked as a duplicate of bug 46532 ***